﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     clone_definitions.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once


#include <pia/platform.h>

namespace nn
{
namespace pia
{
namespace clone
{

//! @cond PRIVATE
typedef u16 SystemTime;
//! @endcond


//! @cond PRIVATE
static const SystemTime INVALID_SYSTEM_TIME = 0xffff;
//! @endcond

//! @cond PRIVATE
static const u8 REGISTER_COUNT_BIT = 2;
static const u8 INVALID_REGISTER_COUNT = (0x1 << REGISTER_COUNT_BIT) - 1;
//! @endcond

/*!
@brief  Defines a type that holds a clock value.
*/
typedef u32 ClockValue;


/*!
@brief  Specifies an invalid clock value.
*/
static const ClockValue INVALID_CLOCK = 0xffffffff;
}
}
}  // end of namespace nn::pia::clone

//The following are included in the header files for all classes in this module.
