/*---------------------------------------------------------------------------*
  Project: Pia
  File: common.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common/common_definitions.h>

// n1769: Whether to use the new memory management method that uses the adjust feature or the stack heap method.
#define ENABLE_STACK_HEAP 1

/*!
  @namespace  nn::pia::common
  @brief  Represents the <tt>PiaCommon</tt> namespace.
*/
namespace nn
{
namespace pia
{
namespace common
{
}
}
}


//n1589: Because <tt>common.h</tt> is not dependent on NEX, the inclusion of NEX-dependent headers is prohibited.
#include <pia/common/common_Api.h>
#include <pia/common/common_ByteOrder.h>
#include <pia/common/common_CallContext.h>
#include <pia/common/common_CryptoSetting.h>
#include <pia/common/common_DateTime.h>
#include <pia/common/common_ErrorHandler.h>
#include <pia/common/common_Event.h>
#include <pia/common/common_InetAddress.h>
#include <pia/common/common_MemoryLeakChecker.h>
#include <pia/common/common_Scheduler.h>
#include <pia/common/common_SignatureSetting.h>
#include <pia/common/common_SignatureSettingWithKeyBuffer.h>
#include <pia/common/common_String.h>
#include <pia/common/common_Time.h>
#include <pia/common/common_TimeSpan.h>
#include <pia/common/common_Watermark.h>
#include <pia/common/common_WatermarkManager.h>
