﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     common_types.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/types.h>

// Header files containing enumerated types and typedefs that are commonly accessed within the <tt>common</tt> module.

namespace nn
{
namespace pia
{
namespace common
{

/*!
@brief  This enumerated type represents the types of networks supported by Pia.
*/
enum NetworkType
{
    UDS_LOCAL_NETWORK,  //!< UDS communication.
    IPV4_INTERNET,      //!< Internet communication using IPv4.
    NETWORK_TYPE_MAX
};
}
}
}  // end of namespace nn::pia::common
