﻿/*---------------------------------------------------------------------------*
  Project: Pia
  File: inet.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once


/*!
  @namespace  nn::pia::inet
  @brief  Represents the <tt>PiaInet</tt> namespace.
  @if PRIVATE
  @date 2013-08-30  Changed <tt>LanNetworkFactory</tt> to <tt>NexLanNetworkFactory</tt>.
  @date 2012-08-25  Added the <tt>LanNetworkFactory</tt> class. This class is specified when running in an environment with a game server on the same LAN.
  @endif
  @date 2012-07-18  Added <tt>Result</tt> values specific to the <tt>inet</tt> module. <tt>pia::inet::NexFacade::StartNatSession</tt> now returns <tt>nn::pia::ResultDnsFailed</tt>.
  @date 2012-07-13  <tt>inet::Initialize</tt> now returns <tt>ResultInvalidState</tt> if Pia does not support NEX thread mode.
  @date 2012-05-30  Changed the arguments to <tt>Initialize</tt> so the MTU can now be specified.

 */
namespace nn
{
namespace pia
{
namespace inet
{
}
}
}


#include <pia/inet/inet_Api.h>
#include <pia/inet/inet_NexFacade.h>
#include <pia/inet/inet_NexNetworkFactory.h>
#include <pia/inet/inet_NexLanNetworkFactory.h>
#include <pia/inet/inet_NexSessionTypes.h>
#include <pia/inet/inet_NexCreateSessionSetting.h>
#include <pia/inet/inet_NexSessionInfo.h>
#include <pia/inet/inet_NexSessionSearchCriteria.h>
#include <pia/inet/inet_NexSessionSearchCriteriaOwner.h>
#include <pia/inet/inet_NexSessionSearchCriteriaParticipant.h>
#include <pia/inet/inet_NexSessionSearchCriteriaUnused.h>
#include <pia/inet/inet_NexJoinSessionSetting.h>
#include <pia/inet/inet_NexUpdateSessionSetting.h>

#if NN_PIA_ENABLE_MATCHMAKE_REFEREE
#include <pia/inet/inet_NexEndGamePersonalReport.h>
#endif
