﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     inet_LanJoinSessionSetting.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/session/session_JoinSessionSetting.h>

namespace nn
{
namespace pia
{
namespace inet
{
//! @cond CAFE_DOC

/*!
@brief  Class that manages settings specific to LAN matchmaking session participation.

@date 2014-04-30  Initial version.

@see  nn::pia::session::JoinSessionSetting
*/

class LanJoinSessionSetting : public nn::pia::session::JoinSessionSetting
{
public:
/*!
@brief  The default constructor.
*/
    LanJoinSessionSetting();

/*!
@brief  Destroys the object.
*/
    virtual ~LanJoinSessionSetting();

protected:
private:
    // The copy constructor is sealed.
    LanJoinSessionSetting(const LanJoinSessionSetting&);

    // The assignment operator is sealed.
    LanJoinSessionSetting& operator=(const LanJoinSessionSetting&);

    u32 m_SessionId;
};

//! @endcond
}
}
}  // end of namespace nn::pia::inet
