﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     inet_LanSessionTypes.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/inet/inet_definitions.h>

namespace nn
{
namespace pia
{
namespace inet
{

const size_t LAN_GATHERINGHOLDER_MAX_SIZE = 10;

const size_t LAN_ATTRIBUTE_MAX_SIZE = 6;
const size_t LAN_ATTRIBUTE_ARRAY_MAX_SIZE = 20;

const size_t LAN_APPLICATION_DATA_BUFFER_MAX_SIZE = 512;
const size_t LAN_DESCRIPTION_DATA_BUFFER_MAX_SIZE = 256;
const size_t LAN_SESSION_SEARCH_CRITERIA_MAX_SIZE = 2;

//! @cond CAFE_DOC

/*!
@brief  Enumerates LAN matchmaking session types.
*/
enum LanSessionType
{
    LAN_SESSION_TYPE_ANYBODY = 0  //!< Anybody can participate.
};

//! @endcond
}
}
}  // end of namespace nn::pia::inet
