﻿/*---------------------------------------------------------------------------*
  Project: Pia
  File: inet_NexSessionSearchCriteriaUnused.h

  Copyright Nintendo. All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/inet/inet_definitions.h>

#include <pia/inet/inet_NexSessionTypes.h>
#include <pia/session/session_SessionSearchCriteria.h>

namespace nn
{
namespace pia
{
namespace inet
{

/*!
  @cond PRIVATE
  @brief  This class is for if you do not want to use the search criteria.

  @see nn::pia::session::SessionSearchCriteria
*/
class NexSessionSearchCriteriaUnused : public nn::pia::inet::NexSessionSearchCriteria
{
public:
/*!
    @brief      The default constructor.
*/
    NexSessionSearchCriteriaUnused() :
        NexSessionSearchCriteria()
    {
        m_KeyType = session::SessionSearchCriteria::SearchCriteriaKey_Unused;
    }

/*!
    @brief      The destructor.
*/
    virtual ~NexSessionSearchCriteriaUnused()
    {
    }

protected:

    // The copy constructor is sealed.
    NexSessionSearchCriteriaUnused(const NexSessionSearchCriteriaUnused&);
};
//! @endcond
}
}
}  // End of namespace nn::pia::inet.

