﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     macros.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/settings.h>


/*!
@brief  Defines a macro for suppressing warnings generated for unused variables.
*/
#define NN_PIA_DUMMY_PARAM(var) ((void)&var)


/*!
@brief  Defines a macro for suppressing warnings for unused variables, but it only functions in release builds.

This is provided to reduce the complexity of warnings for cases such as when a variable is only used in an assert statement.

*/
#if NN_PIA_RELEASE
#define NN_PIA_DUMMY_PARAM_IN_RELEASE(var) ((void)&var)
#else
#define NN_PIA_DUMMY_PARAM_IN_RELEASE(var)
#endif
