﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     basicMacrosCtr.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


// The basic macro for CTR.

#pragma once

#include <nn.h>

#define PIA_BASIC_REPORT_ALWAYS(...) nn::dbg::detail::Printf(__VA_ARGS__)
#define PIA_BASIC_VREPORT_ALWAYS(...) nn::dbg::detail::VPrintf(__VA_ARGS__)

#if NN_PIA_EXPERIMENT_USE_PRINT_HOOK
namespace nn
{
namespace pia
{
namespace common
{
void VPrintf(const char* cpFormat, va_list varg);
void Printf(const char* cpFormat, ...);
}
}
}
#define PIA_BASIC_REPORT(...) ::nn::pia::common::Printf(__VA_ARGS__)
#define PIA_BASIC_VREPORT(...) ::nn::pia::common::VPrintf(__VA_ARGS__)
#else  // else of NN_PIA_EXPERIMENT_USE_PRINT_HOOK
#define PIA_BASIC_REPORT(...) NN_LOG(__VA_ARGS__)
#define PIA_BASIC_VREPORT(...) NN_LOGV(__VA_ARGS__)
#endif // end of NN_PIA_EXPERIMENT_USE_PRINT_HOOK

#define PIA_BASIC_HALT(...) NN_PANIC(__VA_ARGS__)

#define PIA_IS_VALID_POINTER(ptr) NN_IS_VALID_POINTER(ptr)

#define PIA_ATTRIBUTE_ALIGN(N) NN_ATTRIBUTE_ALIGN(N)

#define PIA_CODE_POSITION_FILE __MODULE__
#define PIA_CODE_POSITION_FUNC __FUNCTION__
#define PIA_CODE_POSITION_LINE __LINE__
