﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     session.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/definitions.h>

/*!
@namespace  nn::pia::session
@brief  Represents the <tt>PiaSession</tt> namespace.

@date 2014-02-03  Organized the results that are returned when <tt>Session::JoinSessionAsync</tt> or asynchronous processes fail, and increased the number of reasons for distinguishable asynchronous process failures.
@date 2013-04-11  Changed the <tt>Result</tt> value returned when <tt>session::Initialize</tt> fails to a <tt>Result</tt> value indicating the cause of the failure. The failure conditions have not changed.
@date 2012-12-19  Added a <tt>Result</tt> type that can be returned when asynchronous NAT traversal of the <tt>Session::JoinSession</tt> instance fails.
@date 2012-09-26  Deleted the old <tt>Result</tt> <tt>typedef</tt> that had been left in for compatibility.
@date 2012-08-23  Renamed some results in the <tt>session</tt> module.
@date 2012-04-27  Both the class name and the connection information for another terminal, which mean different things, were <tt>Session</tt>, which could cause confusion. The latter was changed to <tt>session</tt>.
@date 2012-04-06  Initial version.
*/
namespace nn
{
namespace pia
{
namespace session
{
}
}
}  // end of namespace nn::pia::session


#include <pia/session/session_Api.h>
#include <pia/session/session_types.h>
#include <pia/session/session_Mesh.h>
#include <pia/session/session_Session.h>
#include <pia/session/session_ISessionInfoList.h>
