﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     session_UpdateSessionSetting.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/session/session_definitions.h>
#include <pia/session/session_types.h>

namespace nn { namespace pia { namespace session {

/*!
@brief  Base class that manages settings specific to session criteria updates.
@details  This class is never instantiated by an application. Use a class that inherits this class.
@date 2014-11-25  Initial version.

@see  nn::pia::inet::NexUpdateSessionSetting
*/

class UpdateSessionSetting : public nn::pia::common::RootObject
{
public:
    // Destructor.
    virtual ~UpdateSessionSetting(){ }

protected:
    // Instantiates an object.
    UpdateSessionSetting(){ }

};

}}}  // end of namespace nn::pia::session
