﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     session_definitions.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once


#include <pia/definitions.h>
#include <pia/common/common_Trace.h>
#include <pia/session/session_types.h>

// Macro for Pia developers to use for checking the session status during a job.
#define CHECK_SESSION_STATUS()                                                                              \
    {                                                                                                       \
        nn::pia::session::Session::Status status = nn::pia::session::Session::GetInstance()->GetStatus();   \
        if (status == nn::pia::session::Session::STATUS_DISCONNECTED_NETWORK)                               \
        {                                                                                                   \
            m_pAsyncContext->SignalFailure(nn::pia::ResultNetworkConnectionIsLost());                       \
            m_pAsyncContext = NULL;                                                                         \
            return common::Job::EXECUTE_STATE_COMPLETE;                                                     \
        }                                                                                                   \
    }

#define CHECK_SESSION_CONNECTED_STATUS()                                                                    \
    {                                                                                                       \
        nn::pia::session::Session::Status status = nn::pia::session::Session::GetInstance()->GetStatus();   \
        if (status == nn::pia::session::Session::STATUS_DISCONNECTED_SESSION)                               \
        {                                                                                                   \
            m_pAsyncContext->SignalFailure(nn::pia::ResultSessionConnectionIsLost());                       \
            m_pAsyncContext = NULL;                                                                         \
            return common::Job::EXECUTE_STATE_COMPLETE;                                                     \
        }                                                                                                   \
    }
