﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     transport.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/transport/transport_definitions.h>

/*!
@namespace  nn::pia::transport
@brief  Represents the <tt>PiaTransport</tt> namespace.

@date 2013-10-16  <tt>transport.h</tt> now includes <tt>transport_PacketAnalysisData.h</tt>.
@date 2012-06-28  Clearly indicated which functions are thread-safe.
@date 2012-05-30  <tt>transport.h</tt> now includes <tt>transport_ThreadStreamManager.h</tt>.
@date 2012-04-06  Initial version.
*/
namespace nn
{
namespace pia
{
namespace transport
{
}
}
}  // end of namespace nn::pia::transport

#include <pia/transport/transport_Api.h>
#include <pia/transport/transport_Transport.h>
#include <pia/transport/transport_StationManager.h>
#include <pia/transport/transport_UnreliableProtocol.h>
#include <pia/transport/transport_ReliableProtocol.h>
#include <pia/transport/transport_ReliableBroadcastProtocol.h>
#include <pia/transport/transport_RoundRobinUnreliableProtocol.h>
#include <pia/transport/transport_ThreadStreamManager.h>
#include <pia/transport/transport_Protocol.h>
#include <pia/transport/transport_PacketAnalysisData.h>
#include <pia/transport/transport_TransportAnalyzer.h>
