﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     transport_StationLocationContainer.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/transport/transport_definitions.h>

#include <pia/common/common_SimpleContainer.h>
#include <pia/transport/transport_StationLocation.h>


namespace nn
{
namespace pia
{
namespace transport
{

const size_t STATION_LOCATION_CONTAINER_MAX_SIZE = 16;

/*!
@brief  Represents the <tt>StationLocation</tt> container type.

@date 2012-04-06  Initial version.
*/
class StationLocationContainer : public nn::pia::common::SimpleContainer<nn::pia::transport::StationLocation, STATION_LOCATION_CONTAINER_MAX_SIZE>
{
public:
    virtual void Trace(u64 flag) const;
};

//n1589: With <tt>PiaInet</tt>, there is optimization because (only) two <tt>StationLocation</tt> container elements are frequently used.
/*!
@cond PRIVATE
@brief  Represents a container that possesses only two <tt>StationLocation</tt> instances.

@date 2012-04-06  Initial version.
*/
class StationLocationPair : public nn::pia::common::SimpleContainer<nn::pia::transport::StationLocation, 2>
{
public:
    virtual void Trace(u64 flag) const;
};
//! @endcond
}
}
}  // end of namespace nn::pia::transport
