﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     SampleFramework_ButtonDefines.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/platform.h>  // Required for resolving a <tt>bit32</tt> type.


namespace nn
{
namespace pia
{
namespace sampleframework
{

// The symbol names and values for CTR have been copied and pasted as is.

const bit32 BUTTON_A = 0x00000001;
const bit32 BUTTON_B = 0x00000002;
const bit32 BUTTON_SELECT = 0x00000004;
const bit32 BUTTON_START = 0x00000008;
const bit32 BUTTON_RIGHT = 0x00000010;
const bit32 BUTTON_LEFT = 0x00000020;
const bit32 BUTTON_UP = 0x00000040;
const bit32 BUTTON_DOWN = 0x00000080;

const bit32 BUTTON_R = 0x00000100;
const bit32 BUTTON_L = 0x00000200;
const bit32 BUTTON_X = 0x00000400;
const bit32 BUTTON_Y = 0x00000800;
}
}
}  // end of namespace nn::pia::sampleframework
