﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     AppTrace.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "AppTrace.h"

#include <stdarg.h>
#include <pia/common.h>

namespace
{
}  // end of anonymous namespace


AppTrace AppTrace::s_Instance;


void AppTrace::Write(const char* pFmt, ...)
{
    va_list ap;
    va_start(ap, pFmt);
    PIA_CACHED_VPRINTF(pFmt, ap);
    va_end(ap);
}

// Print information useful for debugging.
void AppTrace::Trace(u64 flag) const
{
    (void)flag;
}
