﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     MathUtil.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "MathUtil.h"
//#include "stdheaders.h"

//n1589:using math.h
// Computes the direction of the vector <x,y>  (return value is in the range <0,2pi>).
qReal Direction(qReal x, qReal y)
{
    if (x == 0 && y == 0)
    {
        return 0;
    }
    qReal d;
    if (x == 0)
    {
        if (y > 0)
        {
            d = PI / 2;
        }
        else
        {
            d = 3 * PI / 2;
        }
    }
    if (x > 0)
    {
        d = static_cast<qReal>(atan(y / x));
    }
    else
    {
        d = static_cast<qReal>(atan(y / x) + PI);
    }
    while (d < 0)
    {
        d += 2 * PI;
    }
    while (d >= 2 * PI)
    {
        d -= 2 * PI;
    }
    return d;
}

//n1589:using math.h
// Computes the length of the vector <x,y>
qReal Length(qReal x, qReal y)
{
    return static_cast<qReal>(sqrt(x * x + y * y));
}

qReal Abs(qReal x)
{
    if (x < 0)
    {
        return -x;
    }
    else
    {
        return x;
    }
}

qReal Max(qReal i, qReal j)
{
    return (i > j) ? i : j;
}

qReal Max(qReal i, qReal j, qReal k)
{
    return Max(Max(i, j), k);
}
