﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     MathUtil.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <math.h>

//n1589
typedef float qReal;
#define QREAL(_num) (_num##f)

// Computes the direction of the vector <x,y>
qReal Direction(qReal x, qReal y);

// Computes the length of the vector <x,y>
qReal Length(qReal x, qReal y);

qReal Abs(qReal x);
qReal Max(qReal i, qReal j);
qReal Max(qReal i, qReal j, qReal k);

#define PI QREAL(3.14159265358979323846)
