﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     PiaVersion.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "PiaVersion.h"

#include "Print.h"
#include <pia/platform.h>

#include <pia/version.h>

#if NN_PIA_CTR
#include <nn/version.h>
#endif

namespace
{

}  // End of anonymous namespace


///< Instantiates the object.
Version::Version(void)
{
}


///< Destroys the object.
Version::~Version(void)
{
}


void Version::Print(void) const
{
    PIA_SAMPLE_LOG("Build: %d\n", PIA_VERSION_DATE);
    PIA_SAMPLE_LOG("Revision: %d\n", PIA_VERSION_REVISION);
    PIA_SAMPLE_LOG("%s\n", PIA_VERSION_STRING);
#if NN_PIA_CTR
    PIA_SAMPLE_LOG("%s\n", NN_CURRENT_SDK_VERSION);
    PIA_SAMPLE_LOG("%s\n", NN_CURRENT_FIRMWARE_VERSION);
#endif
}
