﻿/*---------------------------------------------------------------------------*
  Project: Pia
  File: Print.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>

/*!
  @brief  Defines a print macro for the demos. Nothing is displayed in release builds.
 */
#define PIA_SAMPLE_LOG(...) PIA_CACHED_PRINTF(__VA_ARGS__)


/*!
  @brief  Defines a print macro for the demos. The message is displayed in release builds.
 */
#define PIA_SAMPLE_PRINT(...) PIA_BASIC_REPORT_ALWAYS(__VA_ARGS__)


/*!
  @brief  Defines a Result print macro for the demos. Nothing is displayed in release builds.
 */
#define PIA_SAMPLE_LOG_RESULT(result)                                                 \
    PIA_SAMPLE_LOG("%s, line: %d\n", PIA_CODE_POSITION_FILE, PIA_CODE_POSITION_LINE); \
    PIA_SAMPLE_LOG("Result(%08x)\n"          , result.GetValue());                    \
    PIA_SAMPLE_LOG("    Level:       (%4d)\n", result.GetLevel());                    \
    PIA_SAMPLE_LOG("    Summary:     (%4d)\n", result.GetSummary());                  \
    PIA_SAMPLE_LOG("    Module:      (%4d)\n", result.GetModule());                   \
    PIA_SAMPLE_LOG("    Description: (%4d)\n", result.GetDescription())
