﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     demo_Cube.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

//#include "demo/Body/demo_Body.h"
#include "../Body/demo_Body.h"

namespace demo
{
/*!
    :private
   
    @brief  Represents a cube.
    */

class Cube : public Body
{
public:
    /*!
        @brief  Instantiates the object.
        */
    Cube(void);

    /*!
        @brief  Destructor.
        */
    virtual ~Cube(void);

public:
    virtual void Initialize(void);
    void InitializeCube(const u32 vertexAttributes,
                        const f32 halfEdgeX,
                        const f32 halfEdgeY,
                        const f32 halfEdgeZ);

protected:
    f32 m_HalfEdges[3];
};
}
