﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Config.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once


#include <pia/common.h>


#define PROGRAM_TITLE "VoiceProtocol"

#if NN_PIA_CTR
const size_t MAX_CLIENTS = 8;
#elif NN_PIA_CAFE
const size_t MAX_CLIENTS = 16;
#else
#error  "Non-supported platform."
#endif

const s32 FRAME_PER_SECOND = 60;

#define ENABLE_RELAY_EMULATION 0  // Macro constants for relay emulation enabled/disabled.
#define ENABLE_HOST_MIGRATION 0   // Macro constants for host migration enabled/disabled.

// (Macro for Pia Developers)
#define ENABLE_VAD 1  // Set to <tt>0</tt> when you want to purposely exchange large amounts of voice data.

// (Macro for Pia Developers)
// Set to 1 when using private APIs in PiaChat.
#define USE_PRIVATE_CHAT_API 0

// (For Pia Developers)
// Constant that controls autopilot mode.
// If set to <tt>true</tt>, connects to the network and transitions to conference mode without key input, and then puts the stations participating in the session into the <tt>PARTICIPATE</tt> state.
// 
const bool ENABLE_AUTO_PILOT = false;

// (Macro for Pia Developers)
// Set to 1 when enabling validation mode.
#define USE_VALIDATION_MODE 0
