﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     HomeButtonProcess.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>

#include "Config.h"


class SndMicDevice;

class HomeButtonProcess
{
public:
    static void Initialize();
    static void Finalize();

    // Returns <tt>true</tt> if the HOME Menu process has executed.
    static bool Process(SndMicDevice* pSndMicDevice);

private:
    HomeButtonProcess();
    ~HomeButtonProcess();
    HomeButtonProcess(const HomeButtonProcess&);             // The copy constructor is sealed.
    HomeButtonProcess& operator=(const HomeButtonProcess&);  // The assignment operator is sealed.

    static u32 saveCallback(void* unused);
    static u32 callbackAcquiredForeground(void* unused);
    static u32 callbackReleaseForeground(void* unused);

    static u32 s_HomeMenuStatus;
};
