﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     MenuConfig.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>

#include "ItemBase.h"
#include "MenuImpl.h"

#include "Config.h"

class SndMicDevice;

class MenuConfig
{
public:
    MenuConfig(SndMicDevice* pSndMicDevice);  // Constructor.
    ~MenuConfig();                            // Destructor.
    void Dispatch();                          // Dispatch.
    void Draw() const;                        // Rendering

    void ResetFlag()
    {
        m_bReadyToReturnConference = false;
    }

    bool IsReadyToReturnConference() const
    {
        return m_bReadyToReturnConference;
    }

private:
    MenuConfig(const MenuConfig&);             // The copy constructor is sealed.
    MenuConfig& operator=(const MenuConfig&);  // The assignment operator is sealed.

    static const size_t MAX_ITEMS = 25;

    MenuImpl m_MenuImpl;
    ItemBase* m_paItem[MAX_ITEMS];
    bool m_bReadyToReturnConference;
};
