﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     MenuConnected.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>

#include "ItemBase.h"
#include "MenuImpl.h"


class MenuConnected
{
public:
    MenuConnected();    // Constructor.
    ~MenuConnected();   // Destructor.
    void Dispatch();    // Dispatch.
    void Draw() const;  // Rendering

    bool IsReadyToStopNetwork() const
    {
        return m_bReadyToStopNetwork;
    }
    bool IsReadyToGoConferenceMode() const
    {
        return m_bReadyToGoConferenceMode;
    }

private:
    MenuConnected(const MenuConnected&);             // The copy constructor is sealed.
    MenuConnected& operator=(const MenuConnected&);  // The assignment operator is sealed.

    static const size_t MAX_ITEMS = 2;

    MenuImpl m_MenuImpl;
    ItemBase* m_paItem[MAX_ITEMS];
    bool m_bReadyToGoConferenceMode;
    bool m_bReadyToStopNetwork;
};
