﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     MenuParticipants.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>

#include "ItemBase.h"
#include "MenuImpl.h"

#include "Config.h"

class MenuParticipants
{
public:
    MenuParticipants();   // Constructor.
    ~MenuParticipants();  // Destructor.
    void Dispatch();      // Dispatch.
    void Draw() const;    // Rendering
    void ResetFlag()
    {
        m_bReadyToReturnConnected = false;
        m_bReadyToGoChangeSetting = false;
    }

    bool IsReadyToReturnConnected() const
    {
        return m_bReadyToReturnConnected;
    }
    bool IsReadyToGoChangeSetting() const
    {
        return m_bReadyToGoChangeSetting;
    }

private:
    MenuParticipants(const MenuParticipants&);             // The copy constructor is sealed.
    MenuParticipants& operator=(const MenuParticipants&);  // The assignment operator is sealed.

    static const size_t MAX_ITEMS = MAX_CLIENTS + 2;

    MenuImpl m_MenuImpl;
    ItemBase* m_paItem[MAX_ITEMS];
    bool m_bReadyToReturnConnected;
    bool m_bReadyToGoChangeSetting;
};
