﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     MenuTop.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>

#include "ItemBase.h"
#include "MenuImpl.h"


class MenuTop
{
public:
    MenuTop();          // Constructor.
    ~MenuTop();         // Destructor.
    void Dispatch();    // Dispatch.
    void Draw() const;  // Rendering

    bool IsReadyToGoNextScene() const;  // Returns <tt>true</tt> if the conditions warrant going to the next scene.

private:
    MenuTop(const MenuTop&);             // The copy constructor is sealed.
    MenuTop& operator=(const MenuTop&);  // The assignment operator is sealed.

    static const size_t MAX_ITEMS = 4;

    MenuImpl m_MenuImpl;
    ItemBase* m_paItem[MAX_ITEMS];
    bool m_bReadyToGoNextScene;
};
