﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     SceneTop.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "SceneTop.h"

#include "SampleLib/SampleLib.h"

#include "Misc.h"
#include "Config.h"
#include "Types.h"

#include "MenuTop.h"


namespace
{
void drawCaption(s32 x, s32 y)
{
    nn::pia::sampleframework::SampleFramework* pFw = nn::pia::sampleframework::SampleFramework::GetInstance();

    const s32 H = 8;
    pFw->DrawText(x, y + H * 0, "----------------------------------------");
    pFw->DrawText(x, y + H * 2, "<<<<       Network Start Menu       >>>>");
    pFw->DrawText(x, y + H * 4, "----------------------------------------");
}
}


s32 sceneTop()
{
    setClearColor(0.0f, 0.0f, 0.3f);

    MenuTop menuTop;

    while (1)
    {
        beginFrame();

        // Dispatch.
        menuTop.Dispatch();

        // Rendering
        changeRenderTarget(false);  // Lower screen.
        drawCaption(0, 40);
        menuTop.Draw();

        endFrame();

        if (menuTop.IsReadyToGoNextScene())
        {
            break;
        }
    }

    return SCENE_OPEN_NETWORK;
}
