﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     ObjectManager.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include "SampleConfig.h"
#include "Object.h"

class ObjectManager
{
public:
    ObjectManager();

    void RegisterAll();
    void UnregisterAll();

    SendObject* GetSendObject();
    ReceiveObject* GetReceiveObject(nn::pia::StationId stationId);
    AtomicObject* GetTeamAtomicObject(int teamIndex);
    SequentialObject* GetTeamSequentialObject(int teamIndex);
    AtomicObject* GetCommonAtomicObject();
    SequentialObject* GetCommonSequentialObject();

private:
    SendObject m_SendObject;
    ReceiveObject m_ReceiveObject[SAMPLE_GAME_PLAYER_MAX];
    AtomicObject m_AtomicObject[SAMPLE_TEAM_NUM_IN_GAME + 1];
    SequentialObject m_SequentialObject[SAMPLE_TEAM_NUM_IN_GAME + 1];
};

extern ObjectManager g_ObjectManager;
