﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     StatusManager.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include "SampleConfig.h"
#include "SampleObjectStatus.h"
#include "Object.h"

class StatusManager
{
public:
    StatusManager();

    void ClearStationStatus();
    void ClearCommonObjectStatus();

    void Update();

    void AssignStationStatus(nn::pia::StationId stationId, ReceiveObject* pReceiveObject);
    SampleObjectStatus* GetStationStatus(nn::pia::StationId stationId);
    SampleObjectStatus* GetStationStatus(int idx);

    void AssignCommonObjectStatus(SampleObjectStatusType type, int teamIndex, Object* pObject);
    SampleObjectStatus* GetCommonObjectStatus(int idx);
    SampleObjectStatus* GetCommonObjectStatusByType(SampleObjectStatusType type, int teamIndex = -1);

    SampleObjectStatus* GetOperationTargetStatus()
    {
        return m_pOperationTargetStatus;
    }
    void ChangeOperationTarget(int localTeamIndex);
    void ResetOperationTarget()
    {
        m_pOperationTargetStatus = &m_StationStatus[0];
    }
    void AtomicLockOperation();

private:
    SampleObjectStatus m_StationStatus[SAMPLE_GAME_PLAYER_MAX];
    SampleObjectStatus m_CommonObjectStatus[COMMON_OBJECT_NUM];
    SampleObjectStatus* m_pOperationTargetStatus;

};

extern StatusManager g_StatusManager;
