﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_VersionInfo.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/settings.h>
#include <pia/version.h>
#include "SampleLib/SampleLib.h"

#if NN_PIA_CTR
#include <nn.h>
#include <nn/version.h>
#endif

#if NN_PIA_WIN
#include <pia/platform/platformWin.h>
#endif

#if NN_PIA_CAFE
#include <cafe.h>
#include <sdk_ver.h>
#endif

#if defined(NN_PIA_INCLUDE_NEX)

#if NN_PIA_NEX_3  // NEX 3.x.
#include <OnlineCore/src/version/nex_version.h>
#else  // NEX 2.x.
#include <version/nex_version.h>
#endif  // end of NN_PIA_NEX_3

#endif  // end of NN_PIA_INCLUDE_NEX

namespace nn
{
namespace pia
{
namespace sampleframework
{
class VersionInfo
{
public:
    // Displays the SDK and NEX versions at build time.
    static void TraceBuildEnvironment();
};
}
}
}  // end of namespace nn::pia::sampleframework
