﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_Basic_Setup.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

const unsigned int BASIC_UPPER_SCREEN_WIDTH = 400;   //!< Defines the horizontal resolution of the upper screen.
const unsigned int BASIC_UPPER_SCREEN_HEIGHT = 240;  //!< Defines the vertical resolution of the upper screen.

const unsigned int BASIC_LOWER_SCREEN_WIDTH = 320;   //!< Defines the horizontal resolution of the lower screen.
const unsigned int BASIC_LOWER_SCREEN_HEIGHT = 240;  //!< Defines the vertical resolution of the lower screen.

const unsigned int BASIC_FONT_SIZE = 8;  //!< Defines the size of the font to draw.

// Set the program title.
void Basic_SetProgramTitle(const char* pTitle);

// Get the program title.
const char* Basic_GetProgramTitle();

// Function for getting the string for drawing the Pia library version information.
const char* Basic_GetPiaVersionString();
