﻿/*---------------------------------------------------------------------------*
Project:  Pia
File:     ProfilingTest_MultiUnitHeapSetting.cpp

Copyright Nintendo.  All rights reserved.

These coded instructions, statements, and computer programs contain
proprietary information of Nintendo of America Inc. and/or Nintendo
Company Ltd., and are protected by Federal copyright law.  They may
not be disclosed to third parties or copied or duplicated in any form,
in whole or in part, without the prior written consent of Nintendo.
*---------------------------------------------------------------------------*/


#include "ProfilingTest_MultiUnitHeapSetting.h"

#if (NN_PIA_NEX_3 == 0) && (NN_PIA_EXPERIMENT_UNUSE_NEX_MULTIUNITHEAP == 0)

namespace
{

}  // end of anonymous namespace


///< Instantiates the object.
MultiUnitHeapSetting::MultiUnitHeapSetting(void)
{
    memBlock = NULL;
    memSize = 0;

#if 1  // all clear of parameters.
    for (int i = 0; i < LEVEL; ++i)
    {
        unitSize[i] = 0;
        unitObjs[i] = 0;
    }
#endif

#if 0  // Configuration sample that supplies a relatively ample memory
    unitSize[0] =      100;  unitObjs[0] = 8192;
    unitSize[1] =     1200;  unitObjs[1] = 2048;
    unitSize[2] =   7*1024;  unitObjs[2] =  192;
    unitSize[3] =  36*1024;  unitObjs[3] =   64;
    unitSize[4] = 128*1024;  unitObjs[4] =   16;
    unitSize[5] =        0;  unitObjs[5] =    0;
    unitSize[6] =        0;  unitObjs[6] =    0;
    unitSize[7] =        0;  unitObjs[7] =    0;
#endif

#if 0  // Conservative configuration sample. May not run with a Debug build.
    unitSize[0] =       80;  unitObjs[0] = 8192;
    unitSize[1] =      256;  unitObjs[1] = 4096;
    unitSize[2] =     1036;  unitObjs[2] = 1024;
    unitSize[3] =     4096;  unitObjs[3] =  256;
    unitSize[4] =  33*1024;  unitObjs[4] =   16;
    unitSize[5] =        0;  unitObjs[5] =    0;
    unitSize[6] =        0;  unitObjs[6] =    0;
    unitSize[7] =        0;  unitObjs[7] =    0;
#endif

    // Enable recording peak values
    recordPeak = true;

#if NEX_ENABLE_MEMORY_STARVATION_CARE
    // Setting that does not prepare emergency-use memory region when memory is depleted
    reserved = 0;
#endif
}
#endif  // NN_PIA_NEX_3==0 && NN_PIA_EXPERIMENT_UNUSE_NEX_MULTIUNITHEAP==0
