﻿/*---------------------------------------------------------------------------*
Project:  Pia
File:     ProfilingTest_MultiUnitHeapSetting.h

Copyright Nintendo.  All rights reserved.

These coded instructions, statements, and computer programs contain
proprietary information of Nintendo of America Inc. and/or Nintendo
Company Ltd., and are protected by Federal copyright law.  They may
not be disclosed to third parties or copied or duplicated in any form,
in whole or in part, without the prior written consent of Nintendo.
*---------------------------------------------------------------------------*/


#ifndef MULTIUNITHEAPSETTING_H_
#define MULTIUNITHEAPSETTING_H_

#include <pia/definitions.h>

#if NN_PIA_NEX_3 || NN_PIA_EXPERIMENT_UNUSE_NEX_MULTIUNITHEAP

#ifndef NEX_ENABLE_MEMORY_STARVATION_CARE
#define NEX_ENABLE_MEMORY_STARVATION_CARE 0
#endif

#else

#include <Platform/Core/MultiUnitHeapTemplate.h>

///< This structure has the MultiUnitHeapManager config parameters filled in.
struct MultiUnitHeapSetting
{
    static const size_t LEVEL = 5;
    MultiUnitHeapSetting(void);
    void* memBlock;          ///< Pointer to the beginning of the memory block.
    size_t memSize;          ///< The size of the memory block above.
    size_t unitSize[LEVEL];  ///< Unit size.
    size_t unitObjs[LEVEL];  ///< Number of units.
    bool recordPeak;         ///< Whether to enable the feature that records peak values.
    char padding[3];
#if NEX_ENABLE_MEMORY_STARVATION_CARE
    size_t reserved;
#endif
};

#endif  // NN_PIA_NEX_3 || NN_PIA_EXPERIMENT_UNUSE_NEX_MULTIUNITHEAP

#endif  // end of MULTIUNITHEAPSETTING_H_
