﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_Basic_Setup.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "Shared_Basic_Setup.h"
#include "SampleLib/SampleLib.h"
#include <pia/version.h>

#include <cstdio>

namespace
{
const int TITLE_SIZE = 256;
char s_ProgramTitle[TITLE_SIZE] = "no title";
char s_PiaVersionInfoString[BASIC_UPPER_SCREEN_WIDTH / BASIC_FONT_SIZE] = {};

#if NN_PIA_WIN || NN_PIA_NIN_WIN
#define SNPRINTF _snprintf
#else
#define SNPRINTF ::std::snprintf
#endif
}

void Basic_SetProgramTitle(const char* pTitle)
{
    strncpy(s_ProgramTitle, pTitle, TITLE_SIZE);
    s_ProgramTitle[TITLE_SIZE - 1] = '\0';
}

const char* Basic_GetProgramTitle()
{
    return s_ProgramTitle;
}

const char* Basic_GetPiaVersionString()
{
    // Creates the Pia library version information string.
    SNPRINTF(s_PiaVersionInfoString,
             BASIC_UPPER_SCREEN_WIDTH / BASIC_FONT_SIZE,
             "Pia %d.%d.%d r%d",
             PIA_VERSION_MAJOR,
             PIA_VERSION_MINOR,
             PIA_VERSION_MICRO,
             PIA_VERSION_REVISION);
    return s_PiaVersionInfoString;
}
