﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_Nex_Matchmake.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include "Shared_Nex_Setup.h"

nn::Result Nex_InitializeMatchmake();
nn::Result Nex_FinalizeMatchmake();
nn::nex::MatchmakeExtensionClient* Nex_GetMatchmakeClient();

nn::Result Nex_AutoMatchmake(
    nn::nex::GatheringID* pJoinedGatheringId,
    nn::nex::PrincipalID* pOwnerPID,
    u32 matchmakeMode,
    u16 matchmakeMaxParticipants,
    const char* matchmakeDescription = NULL);

nn::Result Nex_OpenParticipation(
    nn::nex::GatheringID gatheringID);

nn::Result Nex_LeaveMatchmakeSession(
    nn::nex::GatheringID gatheringID,
    nn::nex::PrincipalID ownerPID,
    bool hostMigration);

nn::Result Nex_GetHostStationURLs(
    nn::nex::GatheringID joinedGatheringId,
    nn::nex::qList<nn::nex::StationURL>* pStationURLs);

nn::Result Nex_SearchMatchmakeSession(
    u32 gameMode,
    u16 maxParticipants,
    u32 rangeSize,
    nn::nex::qList<nn::nex::GatheringHolder>* plistGatheringHolder);

nn::Result Nex_CreateMatchmakeSession(
    nn::nex::GatheringID* pJoinedGatheringID,
    u32 gameMode,
    u16 maxParticipants,
    const char* description);

nn::Result Nex_JoinMatchmakeSession(
    nn::nex::GatheringID gatheringID);

u32 Nex_GetMatchmakeNetworkErrorCode();
void Nex_ResetMatchmakeNetworkErrorCode();

nn::nex::qVector<nn::nex::qByte>* Nex_GetMatchmakeSessionSignatureKey();
nn::pia::common::SignatureSetting* Nex_GetMatchmakeSessionSignatureSetting();

nn::nex::PrincipalID Nex_GetOwnerPID();
void Nex_SetOwnerPID(nn::nex::PrincipalID id);
