﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_VersionInfo.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "Shared_VersionInfo.h"

namespace nn
{
namespace pia
{
namespace sampleframework
{


void VersionInfo::TraceBuildEnvironment()
{
    PIA_SAMPLE_PRINT("-------- Version information begin --------\n");

#if NN_PIA_CTR
    PIA_SAMPLE_PRINT("[VERSION_INFO] <SDK version>: %s\n", NN_CURRENT_SDK_VERSION);
#endif

#if NN_PIA_CAFE
    PIA_SAMPLE_PRINT("[VERSION_INFO] <SDK version>: %s\n", CAFE_OS_SDK_VERSION_STRING);
#endif

#if defined(NN_PIA_INCLUDE_NEX)
    PIA_SAMPLE_PRINT("[VERSION_INFO] <NEX version>: %s\n", NEX_VERSION_STRING);
#endif

    PIA_SAMPLE_PRINT("[VERSION_INFO] <PIA version>: %s\n", PIA_VERSION_STRING);
    PIA_SAMPLE_PRINT("-------- Version information end --------\n");
}
}
}
}  // end of namespace nn::pia::sampleframework
